import { ThemeOption } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class ThemeOptionsService extends CRUDService<ThemeOption> {
    protected hasOneModels: ICrudService<ThemeOption>['hasOneModels'];
    get create(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<ThemeOption>, import("../../..").ModelWithId>> & Omit<import("../API").CreateThemeOption, import("../core").HasOneRelationsOf<ThemeOption>>, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateThemeOption;
    }>>>) => Promise<{
        __typename?: "ThemeOption";
        id: string;
        font: string;
        organizationID: string;
        productID?: string;
        primaryActionColor: string;
        primaryActionColorUseWhite: boolean;
        secondaryActionColor: string;
        secondaryActionColorUseWhite: boolean;
        textColor: string;
        updated_at: any;
        created_at: any;
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateThemeOption;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateThemeOption;
    }>>, ThemeOption>) => Promise<{
        __typename?: "ThemeOption";
        id: string;
        font: string;
        organizationID: string;
        productID?: string;
        primaryActionColor: string;
        primaryActionColorUseWhite: boolean;
        secondaryActionColor: string;
        secondaryActionColorUseWhite: boolean;
        textColor: string;
        updated_at: any;
        created_at: any;
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../..").ModelWithId;
    }>];
    get update(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<ThemeOption>, import("../../..").ModelWithId>> & Omit<import("../API").UpdateThemeOption, import("../core").HasOneRelationsOf<ThemeOption>> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneThemeOptionInput;
    }>>>) => Promise<{
        __typename?: "ThemeOption";
        id: string;
        font: string;
        organizationID: string;
        productID?: string;
        primaryActionColor: string;
        primaryActionColorUseWhite: boolean;
        secondaryActionColor: string;
        secondaryActionColorUseWhite: boolean;
        textColor: string;
        updated_at: any;
        created_at: any;
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneThemeOptionInput;
    }>>>>) => [({ id, ...input }: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<ThemeOption>, import("../../..").ModelWithId>> & import("../API").UpdateThemeOption & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneThemeOptionInput;
    }>>>>) => Promise<Record<string, unknown>>, import("@apollo/client").MutationResult<{
        updateOne: Record<string, unknown>;
    }>];
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").ThemeOptionFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionListQuery, import("../API").Exact<{
        filter?: import("../API").ThemeOptionFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
    }>>>) => Promise<{
        __typename?: "ThemeOptionConnection";
        totalCount: number;
        edges: {
            __typename?: "ThemeOptionEdge";
            node: {
                __typename?: "ThemeOption";
                id: string;
                font: string;
                organizationID: string;
                productID?: string;
                primaryActionColor: string;
                primaryActionColorUseWhite: boolean;
                secondaryActionColor: string;
                secondaryActionColorUseWhite: boolean;
                textColor: string;
                updated_at: any;
                created_at: any;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            startCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").ThemeOptionListQuery, import("../API").Exact<{
        filter?: import("../API").ThemeOptionFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").ThemeOptionListQuery, import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>>;
        data: import("../API").ThemeOptionListQuery;
        previousData?: import("../API").ThemeOptionListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").ThemeOptionListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").ThemeOptionListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>>(mapFn: (previousQueryResult: import("../API").ThemeOptionListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").ThemeOptionListQuery>, "variables">) => import("../API").ThemeOptionListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").ThemeOptionListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>, import("../API").ThemeOptionListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").ThemeOptionListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>;
        fetchMore: <TFetchData = import("../API").ThemeOptionListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").ThemeOptionFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").ThemeOptionSort | import("../API").ThemeOptionSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").ThemeOptionListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").ThemeOptionListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
